Summary:	Screen layout editor for xrandr 1.2 (Another XRandR gui)
Name:		arandr
URL:		http://christian.amsuess.com/tools/arandr/
Version:	0.1.7.1
%define subrel	1
Release:	%mkrel 7
Source0:	http://christian.amsuess.com/tools/arandr/files/%{name}-%{version}.tar.gz
License:	GPLv3
Group:		System/X11
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-docutils
Requires:	task-x11
Requires:	pygtk2.0
Requires:       xrandr

%description
Provide a simple visual front end for XRandR 1.2, client
side X only (no xorg.conf involved, no pre-1.2 options).

Features

* Full controll over positioning (instead of plain "left of") with
  edge snapping

* Saving configurations as executable shell scripts (configurations
  can be loaded without using this program)

* Configuration files can be edited to include additional payload
  (like xsetwacom commands tablet PC users need when rotating), which
  is preserved when editing

* Metacity keybinding integration:

* Saved configurations can be bound to arbitrary keys via metacity
  custom commands.

* Several layouts can be bound to one key; they are cycled
  through. (Useful for "rotate" buttons on tablet PCs.)

* Main widget separated from packaged application (to facilitate
  integration with existing solutions)


%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --root=%{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README TODO
%{py_puresitedir}/screenlayout
%{py_puresitedir}/*.egg-info

%{_bindir}/%{name}
%{_bindir}/unxrandr
%{_datadir}/applications/arandr.desktop
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/unxrandr.1*


%changelog
* Tue Nov 08 2016 wally <wally> 0.1.7.1-7.1.mga5
+ Revision: 1065941
- don't install unneeded translations (mga#19726)

* Wed Oct 15 2014 umeabot <umeabot> 0.1.7.1-7.mga5
+ Revision: 744125
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.7.1-6.mga5
+ Revision: 725948
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.7.1-5.mga5
+ Revision: 677881
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.1.7.1-4.mga5
+ Revision: 628103
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1.7.1-3.mga4
+ Revision: 542479
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.1.7.1-2.mga4
+ Revision: 497634
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Mar 09 2013 kamil <kamil> 0.1.7.1-1.mga3
+ Revision: 401971
- new version 0.1.7.1

* Fri Jan 11 2013 umeabot <umeabot> 0.1.6-2.mga3
+ Revision: 346006
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 26 2012 sander85 <sander85> 0.1.6-1.mga3
+ Revision: 274551
- New version: 0.1.6

* Sun Apr 01 2012 kamil <kamil> 0.1.5-2.mga2
+ Revision: 227623
- add xrandr as a requirement

* Fri Nov 18 2011 boklm <boklm> 0.1.5-1.mga2
+ Revision: 169020
- update release tag
- imported package arandr


* Wed Nov 16 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.1.5-1
+ Revision: 731184
- imported package arandr

